Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | List of all members
QP::Decoder Class Reference

quoted-printable decoder More...

`#include <qp.h>`

Inheritance diagram for QP::Decoder:

## Public Member Functions

| Decoder ()
const char * | name () const
size_t | maxlen ()
void | maxlen (size_t i)
template<typename InIt, typename OutIt>
void | process (InIt bit, InIt eit, OutIt out)
template<typename OutIt>
void | process (char_type ic, OutIt &out)
template<typename OutIt>
void | flush (OutIt &out)
Public Member Functions inherited from codec
virtual double | codeSizeMultiplier () const

## Additional Inherited Members

Public Types inherited from buffered_codec
typedef buffered_codec_type_tag | codec_type
Public Types inherited from codec
typedef unsigned char | char_type

## Detailed Description

quoted-printable decoder

See also
  encode decode

## Constructor & Destructor Documentation

## ◆ Decoder()

Decoder | ( |  | ) |

inline

Constructor

## Member Function Documentation

## ◆ flush()

template<typename OutIt>

void flush | ( | OutIt & | out | ) |

inline

Write to `out` any buffered decoded char.

Referenced by process().

## ◆ maxlen() [1/2]

size_t maxlen | ( |  | ) |

inline

Returns the max line length

## ◆ maxlen() [2/2]

void maxlen | ( | size_t | i | ) |

inline

Set the max line length. No more then `i` chars will be printed on one line.

## ◆ name()

const char * name | ( |  | ) | const

inline virtual

Returns the name of the codec ("Quoted-Printable")

Implements codec.

## ◆ process() [1/2]

template<typename OutIt>

void process | ( | char_type | ic,
|  | OutIt & | out )

inline

Decodes `ic` and write any decoded output char to `out`.

Warning
  You must call flush() when all chars have been processed by the code(...) funcion.
  while( (c = getchar()) != EOF )
  qp.process(c, out);
  qp.flush();

See also
  flush()

## ◆ process() [2/2]

template<typename InIt, typename OutIt>

void process | ( | InIt | bit,
|  | InIt | eit,
|  | OutIt | out )

inline

Decodes [`bit`,`eit`) and write any decoded char to `out`.

References flush().

The documentation for this class was generated from the following file:

- qp.h